ata_fill_sg_dumb
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_fill_sg_dumb — Fill PCI IDE PRD table

## Synopsis

`void ata_fill_sg_dumb (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Metadata associated with taskfile to be transferred

## Description

Fill PCI IDE PRD (scatter-gather) table with segments associated with the current disk command. Perform the fill so that we avoid writing any length 64K records for controllers that don't follow the spec.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_fill_sg | Home | ata_check_atapi_dma